# Google Play Game Services API . revisions

## Instance Methods

Checks whether the games client is out of date.

### Method Details

`check(clientRevision)`

    Checks whether the games client is out of date.

    Args:
      clientRevision: string, The revision of the client SDK used by your application. (required)

    Returns:
      An object of the form:

        { # This is a JSON template for the result of checking a revision.
        "kind": "games#revisionCheckResponse", # Uniquely identifies the type of this resource. Value is always the fixed string games#revisionCheckResponse.
        "revisionStatus": "A String", # The result of the revision check.
            # Possible values are:
            # - "OK" - The revision being used is current.
            # - "DEPRECATED" - There is currently a newer version available, but the revision being used still works.
            # - "INVALID" - The revision being used is not supported in any released version.
      }